(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./options.js", "@tsparticles/basic", "@tsparticles/path-curves", "@tsparticles/plugin-emitters"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadSeaAnemonePreset = void 0;
    const options_js_1 = require("./options.js");
    const basic_1 = require("@tsparticles/basic");
    const path_curves_1 = require("@tsparticles/path-curves");
    const plugin_emitters_1 = require("@tsparticles/plugin-emitters");
    async function loadSeaAnemonePreset(engine, refresh = true) {
        await (0, basic_1.loadBasic)(engine, false);
        await (0, plugin_emitters_1.loadEmittersPlugin)(engine, false);
        await (0, path_curves_1.loadCurvesPath)(engine, false);
        await engine.addPreset(options_js_1.presetName, options_js_1.options, false);
        await engine.refresh(refresh);
    }
    exports.loadSeaAnemonePreset = loadSeaAnemonePreset;
});
